
/* tcptb
 * Mark Allman (mallman@icir.org)
 *
 * Copyright (c) 2004 International Computer Science Institute
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation files
 * (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * The names and trademarks of copyright holders may not be used in
 * advertising or publicity pertaining to the software without specific
 * prior permission. Title to copyright in this software and any
 * associated documentation will at all times remain with the copyright
 * holders.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
 * BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
 * ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

#define FALSE                  0
#define TRUE                   1
#define MAX_PKT_SIZE           2048
#define EH_SIZE                14
#define DEFAULT_HASH_TBL_SIZE  48611
#define HASH_MULTIPLIER        37
#define IP_ADDR_SZ             4
#define TCP_PORT_SZ            2
#define INT_BUFFER_SIZE        2048

/* cnn_db.c */

extern unsigned short tcptb_table_init;
extern unsigned long tcptb_hash_table_size;

struct tcptb_cnn *tcptb_cnn_known ();
struct tcptb_cnn *tcptb_new_cnn ();
struct tcptb_cnn *tcptb_get_cnn ();
int tcptb_nuke_cnn ();

/* cnn_iterator.c */

struct tcptb_cnn *tcptb_get_restart_cnn ();

/* cnn_stats.c */

void tcptb_stats_accum ();

/* error.c */

extern char *tcptb_err_msg;
extern unsigned short tcptb_fatal_error;

void tcptb_set_error ();

/* process.c */

void tcptb_process_pkt ();

/* read.c */

extern unsigned short tcptb_keep_whole_packet;
extern unsigned short tcptb_keep_ether_hdr;

int tcptb_read_pkts ();

/* tmalloc.c */

char *tcptb_malloc ();

/* tv.c */

int tcptb_tvcmp ();
