
/* tcptb
 * Mark Allman (mallman@icir.org)
 *
 * Copyright (c) 2004 International Computer Science Institute
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation files
 * (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * The names and trademarks of copyright holders may not be used in
 * advertising or publicity pertaining to the software without specific
 * prior permission. Title to copyright in this software and any
 * associated documentation will at all times remain with the copyright
 * holders.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
 * BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
 * ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

#include <stdio.h>
#include <stdlib.h>

/* TODO: maybe make the memory allocation size settable */

#define MEM_CHUNK_SIZE 100000

char *tcptb_mem_pool = NULL;
char *tcptb_mem_end = NULL;


int tcptb_new_pool (sz)
unsigned int sz;
{
    unsigned int req_sz;

    req_sz = (sz > MEM_CHUNK_SIZE) ? sz : MEM_CHUNK_SIZE;
    if ((tcptb_mem_pool = (char *)malloc (req_sz)) == NULL)
	return (-1);
    tcptb_mem_end = tcptb_mem_pool + req_sz;
    return (0);
}


char *tcptb_malloc (sz)
unsigned int sz;
{
    char *p;

    if (sz == 0)
	return (NULL);
    if ((tcptb_mem_pool == NULL) || ((tcptb_mem_end - tcptb_mem_pool) < sz))
	if (tcptb_new_pool (sz) < 0)
	    return (NULL);
    p = tcptb_mem_pool;
    tcptb_mem_pool += sz;
    return (p);
}
